#ifndef SELECTIONOBJ_H
#define SELECTIONOBJ_H

#include "linkablemapobj.h"
#include <q3ptrlist.h>

class Selection 
{
public:
	Selection ();
	Selection (const Selection&);
	~Selection();
	void init();
	void copy(const Selection&);
	void clear();
	
	bool select (LinkableMapObj*);
	void unselect (LinkableMapObj*);
	bool isEmpty();
	uint count();

private:
	Q3PtrList <LinkableMapObj> selectList;
};
#endif

